"use strict";
this.name = "ams_decoys.js";
this.author = "Ramirez, modified by Wyvern for modded AMS";
this.copyright = "The Oolite team";
this.description = "Script to deploy AMS decoys";
this.version = "1.06";


this.deployDecoys = function() { // Spawns decoys, lures missile to decoys.
		var decoys = this.ship.spawn("ams_decoy", 8); 
		function isHostileMissile(entity) 
			{ 
				return (entity.isShip && entity.scanClass == "CLASS_MISSILE");
			}
		var missiles = system.filteredEntities(this, isHostileMissile, this.ship, 30000)
		
		for(var i=0; i<missiles.length; i++)
			{
				var chance
				switch (missiles[i].name)
				{
					case "Anti-missile dart": chance = 0.0 ;break;
					case "Missile": chance = 1.0 ;break;
					case "Boomstick Missile": chance = 0.6 ;break;
					default: chance = 0.85; break; // used for non listed missiles (from other oxp's).
				}
				
				if(Math.random() < chance) missiles[i].target = decoys[i];
			}
	}
